Skip to main content
Jump to: navigation, search

Difference between revisions of "MoDisco/Components/Java/Composition/Documentation/0.9"

(Java Composition Discoverer)
(Java Composition Metamodel)
Line 2: Line 2:
  
 
== Java Composition Metamodel ==
 
== Java Composition Metamodel ==
 +
 +
=== Description ===
 
This metamodel aims at weaving a MoDisco Java Model with a MoDisco KDM Source one.
 
This metamodel aims at weaving a MoDisco Java Model with a MoDisco KDM Source one.
  
Line 11: Line 13:
  
 
[[Image:JavaApplicationMetaModel.png|frame|center|JavaApplication MetaModel]]
 
[[Image:JavaApplicationMetaModel.png|frame|center|JavaApplication MetaModel]]
 +
 +
=== Requirements  ===
 +
 +
To use the plug-in you need:
 +
 +
*JDK 1.5 or above
 +
*a version of Eclipse 3.6 or above with the following set of plug-ins installed
 +
 +
:*[[EMF|EMF]] 2.5.0 or higher
 +
 +
=== Source Repository  ===
 +
 +
All of the source code is stored in a public source repository, which you can access at:
 +
 +
[https://dev.eclipse.org/svnroot/modeling/org.eclipse.mdt.modisco/plugins/trunk/org.eclipse.modisco.java.composition/ https://dev.eclipse.org/svnroot/modeling/org.eclipse.mdt.modisco/plugins/trunk/org.eclipse.modisco.java.composition/]
  
 
==Java Composition Discoverer==
 
==Java Composition Discoverer==

Revision as of 11:57, 18 August 2010

DEPRECATED use Template:MoDiscoTabs and Template:MoDiscoTab as explain here : Wiki Template for MoDisco

Java Composition Metamodel

Description

This metamodel aims at weaving a MoDisco Java Model with a MoDisco KDM Source one.

The Java Composition Discoverer uses this metamodel to create liaison between model elements.

In addition to that, some weaving is done to link java nodes to their physical position in the analysed code. Those elements are stored in the JavaNodeSourceRegion.

References java2DirectoryChildren and java2FileChildren should be containment references, but then browsers load all the resources instead of performing lazy loading (see section Benchmark below). This is due to the use of getAllContent() method which retrieve external references.

JavaApplication MetaModel

Requirements

To use the plug-in you need:

  • JDK 1.5 or above
  • a version of Eclipse 3.6 or above with the following set of plug-ins installed
  • EMF 2.5.0 or higher

Source Repository

All of the source code is stored in a public source repository, which you can access at:

https://dev.eclipse.org/svnroot/modeling/org.eclipse.mdt.modisco/plugins/trunk/org.eclipse.modisco.java.composition/

Java Composition Discoverer

Back to the top